*,::after,::before {
    box-sizing: border-box
}
body {
    font-family: -apple-system, BlinkMacSystemFont, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
    color: #f8f8f8;
    background: #2e2e2e;
    font-size: 16px;
    line-height: 1.8em;
    font-weight: 400;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    margin: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
a { color: #f8f8f8; }
.copyright {
    position: absolute;
    bottom: 25px;
    width: 100%;
    font-size: 12px;
    text-align: center;
    opacity: .3;
}
#clock {
    --size: 90px;
    --thick: min(5px, max(2px, calc(var(--size)/18)));
    display: flex;
    max-width: 100%;
}
.digit {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: calc(2 * var(--size));
    height: calc(3 * var(--size));
}
.angle {
    position: relative;
    width: var(--size);
    height: var(--size);
    border-radius: 50%;
    border: 1px solid #353535;
    box-shadow: inset var(--thick) var(--thick) calc(var(--thick)*2) #252525;
}
.short, .long {
    position: absolute;
    top: 0;
    left: 0;
    background: #f8f8f8;
    width: 100%;
    height: 100%;
    transition: transform .5s ease-in-out;
}
.short {
    clip-path: inset(calc(var(--thick)*2) calc(var(--size)/2 - var(--thick)) calc(var(--size)/2 - var(--thick)) round 2px);
    transform: rotate(225deg);
}
.long {
    clip-path: inset(calc(var(--thick) - 1px) calc(var(--size)/2 - var(--thick)) calc(var(--size)/2 - var(--thick) ) round 2px);
    transform: rotate(225deg);
}
.divider {
    position: relative;
    width: min(20px, var(--size));
}
.divider::before,
.divider::after {
    content: "";
    position: absolute;
    width: calc(var(--thick) * 2);
    height: calc(var(--thick) * 2);
    border-radius: 2px;
    background: #f8f8f8;
    left: 7px;
    top: calc(var(--size) - 3px);
}
.divider::after { top: calc(var(--size)*2 - 3px); }